Name:           lz4
Version:        1.9.2
Release:        2
Summary:        Extremely fast compression algorithm

License:        GPLv2+ and BSD
URL:            https://lz4.github.io/lz4/
Source0:        https://github.com/lz4/lz4/archive/v%{version}/%{name}-%{version}.tar.gz
Patch6000:		Fix-Data-Corruption-Bug-when-Streaming-with-an-Attac.patch

Provides:       %{name}-libs = %{version}-%{release}
Obsoletes:      %{name} < 1.7.5-3
Obsoletes:      %{name}-libs

BuildRequires:	gcc git

%description
LZ4 is lossless compression algorithm, providing compression speed > 500 MB/s per
core (>0.15 Bytes/cycle). It features an extremely fast decoder, with speed in
multiple GB/s per core (~1 Byte/cycle). A high compression derivative, called
LZ4_HC, is available, trading customizable CPU time for compression ratio.

%package        devel
Summary:        Development files for lz4
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
Obsoletes:      %{name}-static

%description    devel
This package contains the header(.h) and library(.so/.a) files required to build
applications using liblz4 library.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit
cp %{_builddir}/%{name}-%{version}/lib/LICENSE %{_builddir}/%{name}-%{version}/LICENSE-lib

%build
export MOREFLAGS="-g"
%make_build

%install
%make_install LIBDIR=%{_libdir} PREFIX=%{_prefix}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license programs/COPYING
%doc NEWS
%license LICENSE
%license LICENSE-lib
%{_bindir}/lz4*
%{_bindir}/unlz4
%{_libdir}/liblz4.so.*

%files devel
%license lib/LICENSE
%{_includedir}/lz4*.h
%{_libdir}/liblz4.so
%{_libdir}/liblz4.a
%{_libdir}/pkgconfig/liblz4.pc

%files help
%{_mandir}/man1/lz4*
%{_mandir}/man1/unlz4.1*

%changelog
* Mon Dec 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.9.2-2
- fix abort in oss-fuzz round_trip_stream_fuzzer.c

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.9.2-1
- Package init
